import { EventEmitter, ElementRef } from '@angular/core';
export declare class CardComponent {
    private el;
    /** catch this event to know the card was clicked on */
    cardClicked: EventEmitter<Boolean>;
    /** @prop clickable whether or not the card is clickable | false */
    clickable: Boolean;
    onClick(): void;
    onKeydown(event: KeyboardEvent): void;
    constructor(el: ElementRef);
}
